Skip to main content
POST
/
Agent
/
Legal
/
PetitionId
Petition Id
curl --request POST \
  --url https://{host}/Agent/Legal/PetitionId \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "keyId": "<string>",
  "legalId": "<string>",
  "remoteId": "<string>",
  "petitionId": "<string>",
  "purpose": "<string>",
  "keySignature": "<string>",
  "requestSignature": "<string>"
}
'
{}

Overview

Allows the client to petition the owner of a Legal Identity, for information about the identity.

Authentication

Requires a valid JWT bearer token.

Notes

This endpoint uses the request schema notation described in Pattern matching.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
keyId
string
required
remoteId
string
required
petitionId
string
required
purpose
string
required
keySignature
string
required
requestSignature
string
required

Response

200 - application/json

Success

The response is of type object.